Firefox 56.0 High CPU

Bug #1723840 reported by js1 on 2017-10-16
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
firefox (Arch Linux)
New
Undecided
Unassigned
firefox (Ubuntu)
Undecided
Unassigned

Bug Description

Since the Firefox 56 upgrade, CPU utilization has been high during idle and light usage. Just typing this bugreport, here's a sample top:

top - 23:02:20 up 2 days, 41 min, 5 users, load average: 0.78, 0.80, 0.77
Tasks: 243 total, 2 running, 240 sleeping, 0 stopped, 1 zombie
%Cpu(s): 9.0 us, 0.5 sy, 0.0 ni, 90.0 id, 0.5 wa, 0.0 hi, 0.0 si, 0.0 st
KiB Mem : 7130052 total, 2096428 free, 2678412 used, 2355212 buff/cache
KiB Swap: 524280 total, 524280 free, 0 used. 4027112 avail Mem

  PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
 1895 js1 20 0 4701160 2.032g 175340 R 100.0 29.9 1086:22 firefox

Please let me know if I need to provide any additional debug or info.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: firefox 56.0+build6-0ubuntu0.16.04.2
ProcVersionSignature: Ubuntu 4.4.0-97.120-generic 4.4.87
Uname: Linux 4.4.0-97-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia
AddonCompatCheckDisabled: False
ApportVersion: 2.20.1-0ubuntu2.10
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: js1 1957 F.... pulseaudio
 /dev/snd/controlC1: js1 1957 F.... pulseaudio
BuildID: 20171003101344
Channel: Unavailable
CurrentDesktop: XFCE
Date: Sun Oct 15 22:57:05 2017
Extensions: extensions.sqlite corrupt or missing
ForcedLayersAccel: False
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite)
InstallationDate: Installed on 2016-05-01 (532 days ago)
InstallationMedia: Xubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
IpRoute:
 default via 10.23.21.1 dev wlp7s4 proto static metric 600
 10.23.21.0/26 dev wlp7s4 proto kernel scope link src 10.23.21.18 metric 600
 169.254.0.0/16 dev wlp7s4 scope link metric 1000
Locales: extensions.sqlite corrupt or missing
MostRecentCrashID: bp-5bca9619-b74f-4910-9909-6bd1b0170925
Plugins: Shockwave Flash - /usr/lib/flashplugin-installer/libflashplayer.so
PrefSources: prefs.js
Profiles: Profile0 (Default) - LastVersion=56.0/20171003101344 (In use)
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
RunningIncompatibleAddons: False
SourcePackage: firefox
Themes: extensions.sqlite corrupt or missing
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/28/2013
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A16
dmi.board.name: 0D881F
dmi.board.vendor: Dell Inc.
dmi.board.version: A05
dmi.chassis.type: 7
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA16:bd05/28/2013:svnDellInc.:pnPrecisionWorkStationT7500:pvr:rvnDellInc.:rn0D881F:rvrA05:cvnDellInc.:ct7:cvr:
dmi.product.name: Precision WorkStation T7500
dmi.sys.vendor: Dell Inc.

js1 (sujiannming) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in firefox (Ubuntu):
status: New → Confirmed
Mimmo Salomone (mimmosalomone) wrote :

Also affected on Ubuntu 17.10

Download full text (4.1 KiB)

Just realized new Firefox Electrolysis
(https://wiki.mozilla.org/Electrolysis) may not be compatible with
legacy plugins/add-ons. May have to disable the incompatible legacy
add-ons.

On Mon, Oct 30, 2017 at 4:59 PM, Mimmo Salomone <email address hidden> wrote:
> Also affected on Ubuntu 17.10
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1723840
>
> Title:
> Firefox 56.0 High CPU
>
> Status in firefox package in Ubuntu:
> Confirmed
> Status in firefox package in Arch Linux:
> New
>
> Bug description:
> Since the Firefox 56 upgrade, CPU utilization has been high during
> idle and light usage. Just typing this bugreport, here's a sample
> top:
>
> top - 23:02:20 up 2 days, 41 min, 5 users, load average: 0.78, 0.80, 0.77
> Tasks: 243 total, 2 running, 240 sleeping, 0 stopped, 1 zombie
> %Cpu(s): 9.0 us, 0.5 sy, 0.0 ni, 90.0 id, 0.5 wa, 0.0 hi, 0.0 si, 0.0 st
> KiB Mem : 7130052 total, 2096428 free, 2678412 used, 2355212 buff/cache
> KiB Swap: 524280 total, 524280 free, 0 used. 4027112 avail Mem
>
> PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
> 1895 js1 20 0 4701160 2.032g 175340 R 100.0 29.9 1086:22 firefox
>
>
> Please let me know if I need to provide any additional debug or info.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: firefox 56.0+build6-0ubuntu0.16.04.2
> ProcVersionSignature: Ubuntu 4.4.0-97.120-generic 4.4.87
> Uname: Linux 4.4.0-97-generic x86_64
> NonfreeKernelModules: nvidia_uvm nvidia
> AddonCompatCheckDisabled: False
> ApportVersion: 2.20.1-0ubuntu2.10
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: js1 1957 F.... pulseaudio
> /dev/snd/controlC1: js1 1957 F.... pulseaudio
> BuildID: 20171003101344
> Channel: Unavailable
> CurrentDesktop: XFCE
> Date: Sun Oct 15 22:57:05 2017
> Extensions: extensions.sqlite corrupt or missing
> ForcedLayersAccel: False
> IfupdownConfig:
> # interfaces(5) file used by ifup(8) and ifdown(8)
> auto lo
> iface lo inet loopback
> IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite)
> InstallationDate: Installed on 2016-05-01 (532 days ago)
> InstallationMedia: Xubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
> IpRoute:
> default via 10.23.21.1 dev wlp7s4 proto static metric 600
> 10.23.21.0/26 dev wlp7s4 proto kernel scope link src 10.23.21.18 metric 600
> 169.254.0.0/16 dev wlp7s4 scope link metric 1000
> Locales: extensions.sqlite corrupt or missing
> MostRecentCrashID: bp-5bca9619-b74f-4910-9909-6bd1b0170925
> Plugins: Shockwave Flash - /usr/lib/flashplugin-installer/libflashplayer.so
> PrefSources: prefs.js
> Profiles: Profile0 (Default) - LastVersion=56.0/20171003101344 (In use)
> RfKill:
> 0: phy0: Wireless LAN
> Soft blocked: no
> Hard blocked: no
> RunningIncompatibleAddons: False
> SourcePackage: firefox
> Themes: extensions.sqlite corrupt or missing
> Up...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers